[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Bug#354493: marked as done (kernel-source-2.6.8: can't install grub on cciss device)



Your message dated Mon, 28 May 2007 23:06:04 +0000
with message-id <E1HsoHs-0005iT-4l@ries.debian.org>
and subject line Bug#354493: fixed in kernel-image-2.6.8-alpha 2.6.8-17
has caused the attached Bug report to be marked as done.

This means that you claim that the problem has been dealt with.
If this is not the case it is now your responsibility to reopen the
Bug report if necessary, and/or fix the problem forthwith.

(NB: If you are a system administrator and have no idea what I am
talking about this indicates a serious mail system misconfiguration
somewhere.  Please contact me immediately.)

Debian bug tracking system administrator
(administrator, Debian Bugs database)

--- Begin Message ---
Package: kernel-source-2.6.8
Version: 2.6.8-16sarge2
Severity: normal
Tags: patch

In kernel.org 2.6.8, the block layer (drivers/block/ioctl.c) has:

        case BLKFLSBUF:
                if (!capable(CAP_SYS_ADMIN))
                        return -EACCES;
                if (disk->fops->ioctl) {
                        ret = disk->fops->ioctl(inode, file, cmd, arg);
                        if (ret != -EINVAL)
                                return ret;
                }
                fsync_bdev(bdev);
                invalidate_bdev(bdev, 0);
                return 0;


So, fsync_bdev()/invalidate_bdev() are only called if ret == -EINVAL.

In pristine 2.6.8, cciss returned -EBADRQC, so these functions were never
called.

In 2.6.9, the block layer was modified to also accept -ENOTTY:
  http://www.kernel.org/git/?p=linux/kernel/git/torvalds/old-2.6-bkcvs.git;a=commitdiff;h=b295216702a8fb86ef8e3951df9d7118746e35c7

So, in 2.6.10-rc4, the only fix needed was to make cciss return -ENOTTY, which
is what Mike submitted.
  http://www.kernel.org/git/?p=linux/kernel/git/torvalds/old-2.6-bkcvs.git;a=commitdiff;h=d28d721eb3f7df904fb1533d314879da33f9b50a

Since 2.6.8 didn't accept -ENOTTY, simply backporting this fix wasn't enough to
fix the bug in 2.6.8, we also need the block layer changeset.


-- System Information:
Debian Release: 3.1
Architecture: ia64
Kernel: Linux 2.6.8-2-mckinley-smp
Locale: LANG=C, LC_CTYPE=C (charmap=ANSI_X3.4-1968)

Versions of packages kernel-source-2.6.8 depends on:
ii  binutils                      2.15-6     The GNU assembler, linker and bina
ii  bzip2                         1.0.2-7    high-quality block-sorting file co
ii  coreutils [fileutils]         5.2.1-2    The GNU core utilities

-- no debconf information


--- End Message ---
--- Begin Message ---
Source: kernel-image-2.6.8-alpha
Source-Version: 2.6.8-17

We believe that the bug you reported is fixed in the latest version of
kernel-image-2.6.8-alpha, which is due to be installed in the Debian FTP archive:

kernel-headers-2.6.8-4-generic_2.6.8-17_alpha.deb
  to pool/main/k/kernel-image-2.6.8-alpha/kernel-headers-2.6.8-4-generic_2.6.8-17_alpha.deb
kernel-headers-2.6.8-4-smp_2.6.8-17_alpha.deb
  to pool/main/k/kernel-image-2.6.8-alpha/kernel-headers-2.6.8-4-smp_2.6.8-17_alpha.deb
kernel-headers-2.6.8-4_2.6.8-17_alpha.deb
  to pool/main/k/kernel-image-2.6.8-alpha/kernel-headers-2.6.8-4_2.6.8-17_alpha.deb
kernel-image-2.6.8-4-generic_2.6.8-17_alpha.deb
  to pool/main/k/kernel-image-2.6.8-alpha/kernel-image-2.6.8-4-generic_2.6.8-17_alpha.deb
kernel-image-2.6.8-4-smp_2.6.8-17_alpha.deb
  to pool/main/k/kernel-image-2.6.8-alpha/kernel-image-2.6.8-4-smp_2.6.8-17_alpha.deb
kernel-image-2.6.8-alpha_2.6.8-17.dsc
  to pool/main/k/kernel-image-2.6.8-alpha/kernel-image-2.6.8-alpha_2.6.8-17.dsc
kernel-image-2.6.8-alpha_2.6.8-17.tar.gz
  to pool/main/k/kernel-image-2.6.8-alpha/kernel-image-2.6.8-alpha_2.6.8-17.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 354493@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
dann frazier <dannf@debian.org> (supplier of updated kernel-image-2.6.8-alpha package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Sat, 26 May 2007 03:54:13 -0600
Source: kernel-image-2.6.8-alpha
Binary: kernel-headers-2.6.8-4 kernel-image-2.6.8-4-smp kernel-headers-2.6.8-4-smp kernel-image-2.6.8-4-generic kernel-headers-2.6.8-4-generic
Architecture: source alpha
Version: 2.6.8-17
Distribution: oldstable
Urgency: high
Maintainer: Debian Kernel Team <debian-kernel@lists.debian.org>
Changed-By: dann frazier <dannf@debian.org>
Description: 
 kernel-headers-2.6.8-4 - Header files related to Linux kernel version 2.6.8
 kernel-headers-2.6.8-4-generic - Linux kernel headers 2.6.8 on Alpha
 kernel-headers-2.6.8-4-smp - Linux kernel headers 2.6.8 on Alpha SMP
 kernel-image-2.6.8-4-generic - Linux kernel image for version 2.6.8 on Alpha.
 kernel-image-2.6.8-4-smp - Linux kernel image for version 2.6.8 on Alpha SMP.
Closes: 311357 317286 321442 323557 336153 349774 354493 372621
Changes: 
 kernel-image-2.6.8-alpha (2.6.8-17) oldstable; urgency=high
 .
   * Rebuild against kernel-tree-2.6.8-17
     [ Simon Horman ]
     * drivers-net-via-rhine-wol-oops.dpatch (removed):
       This patch breaks the via-rhine driver and 2.6.8 and is
       completely bogus for this version of the kernel
       (closes: #311357)
 .
     * drivers-media-vidio-bttv-vc100xp-detect.dpatch
       Allow Leadtek WinFast VC100 XP cards to work.
 .
     * fs-jbd-checkpoint-assertion.dpatch
       Fix possible false assertion failure in log_do_checkpoint(). We might fail
       to detect that we actually made a progress when cleaning up the checkpoint
       lists if we don't retry after writing something to disk.
 .
     * mm-rmap-out-of-bounds-pte.dpatch
       Stop try_to_unmap_cluster() passing out-of-bounds pte to pte_unmap()
 .
     * net-ipv4-netfilter-ip_queue-deadlock.dpatch
       Fix deadlock with ip_queue and tcp local input path.
 .
     * asm-i386-mem-clobber.dpatch:
       Make sure gcc doesn't reorder memory accesses in strncmp and friends on
       i386.
 .
     * drivers-acpi-pci_irq-elcr.dpatch:
       Make sure we call acpi_register_gsi() even for default PCI interrupt
       assignment. That's the part that keeps track of the ELCR register, and we
       want to make sure that the PCI interrupts are properly marked level/low.
 .
     [ dann frazier ]
     * Merge in applicable fixes from 2.6.12.4
        - netfilter-deadlock-ip6_queue.dpatch
        - rocket_c-fix-ldisc-ref-count.dpatch
        - early-vlan-fix.dpatch
 .
     [ Simon Horman ]
     * drivers-sata-promise-sataii_tx2_tx4.dpatch
       Add SATAII TX2 and TX2/TX4 support to sata promise driver
       (Closes: #317286)
 .
     * module-per-cpu-alignment-fix.dpatch
       Module per-cpu alignment cannot always be met
       From 2.6.12.5
 .
     * genelink-usbnet-skb-typo.dpatch
       fix gl_skb/skb type error in genelink driver in usbnet
       Backported From 2.6.12.6
 .
     * drivers-ide-ppp-pmac-build.dpatch
       Make sure BLK_DEV_IDEDMA_PCI is defined for pmac ide driver builds
       (closes: #321442)
 .
     * fs-ext3-nfs-parent-fix.dpatch
       ext3 file systems mounted over nfs may lookup .. in dx directories
       causing an oops.
       (closes: #323557)
 .
     * sparc-request_irq-in-RTC-fix.dpatch
       Use SA_SHIRQ in sparc specific code.
       From 2.6.13.1
 .
     * forcedeth-init-link-settings-in-nv_open.patch
       forcedeth: Initialize link settings in every nv_open()
       From 2.6.13.2
 .
     * fix-MPOL_F_VERIFY.patch
       Fix MPOL_F_VERIFY
       From 2.6.13.2
 .
     * fix-more-byte-to-dword-writes-to-PCI_ROM_ADDRESS-config-word.patch
       Fix up more strange byte writes to the PCI_ROM_ADDRESS config word
       From 2.6.13.2
 .
     * yenta-oops-fix.patch
       yenta oops fix
       From 2.6.13.3
 .
     * fix-de_thread-BUG_ON.patch
       Fix fs/exec.c:788 (de_thread()) BUG_ON
       From 2.6.13.3
 .
     * ipv6-fix-per-socket-multicast-filtering.patch
       fix IPv6 per-socket multicast filtering in exact-match case
       From 2.6.13.3
 .
     * ipvs-ip_vs_ftp-breaks-connections.patch
       ipvs: ip_vs_ftp breaks connections using persistence
       From 2.6.13.3
 .
     * ieee1394-sbp2-fixes-for-hot-unplug-and-module-unloading.dpatch
       ieee1394/sbp2: fixes for hot-unplug and module unloading
       From 2.6.13.4
 .
     * fix-sparc64-fpu-register-corruption.dpatch
       [SPARC64]: Fix userland FPU state corruption.
       From 2.6.13.4
 .
     [ dann frazier ]
     * drivers-block-raw-ioctl2.dpatch, drivers-block-ioctl-enotty.dpatch:
       Fix a bug in the block layer that causes a bootloader installation
       error under certain conditions - breaks installation on cciss devices.
       (closes: #354493)
     * Fix data corruption with dm-crypt over RAID5 (closes: #336153)
     * Fix VLAN support for 3c59x/90x series hardware (closes: #349774)
     * Fix erroneous calculation of 'len' parameter to NLMSG_PUT resulting in
       bogus 'error during NLMSG_PUT' messages (closes: #372621)
     * hp-diva-rmp3.dpatch, hp-diva-hurricane.dpatch:
       Add PCI IDs for newer Diva console ports
Files: 
 184e70602bc70722600b17151b6b3682 794 devel optional kernel-image-2.6.8-alpha_2.6.8-17.dsc
 fe2080ee58be271ccf2863707a4462e4 43471 devel optional kernel-image-2.6.8-alpha_2.6.8-17.tar.gz
 2ccc9a76b651e7fd43d7bbf0c482decc 2764346 devel optional kernel-headers-2.6.8-4_2.6.8-17_alpha.deb
 29cad43517fe591c1c75cec81a5684fe 231226 devel optional kernel-headers-2.6.8-4-smp_2.6.8-17_alpha.deb
 0822aafa80b13a9d70c5ce8c6c34578d 20093036 base optional kernel-image-2.6.8-4-smp_2.6.8-17_alpha.deb
 fa97a433cc5f05a3bb35484a7b01ea21 236948 devel optional kernel-headers-2.6.8-4-generic_2.6.8-17_alpha.deb
 f97cc65dfd0e69000ff9ee19dd7bf1ec 20245352 base optional kernel-image-2.6.8-4-generic_2.6.8-17_alpha.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.6 (GNU/Linux)

iD8DBQFGWwJnhuANDBmkLRkRAqsFAJ9sNDkMRZzYne2VoiI5S2RJyiqg/gCdGAL7
VrlK40Xv0UJEtw2jIIlUavo=
=niUL
-----END PGP SIGNATURE-----


--- End Message ---

Reply to: